### Method

# EDataServer SourceGoa set_name

since: 3.24

#### Declaration [src]

    void
    e_source_goa_set_name (
      ESourceGoa* extension,
      const gchar* name
    )

#### Description [src]

Sets the Name of the GNOME Online Account associated with the `ESource` to which `extension` belongs.

The internal copy of `name` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.24

Sets property | `EDataServer.SourceGoa:name`

#### Parameters

`name`

  Type: `const gchar*`

  The associated GNOME Online Account’s Name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.